package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"git.echol.cn/loser/ai_proxy/server/middleware"
	"github.com/gin-gonic/gin"
)

type AiProxyRouter struct{}

func (s *AiProxyRouter) InitAiProxyRouter(Router *gin.RouterGroup) {
	aiProxyRouter := Router.Group("v1").Use(middleware.AiAuth())
	aiProxyApi := v1.ApiGroupApp.AppApiGroup.AiProxyApi
	{
		aiProxyRouter.GET("models", aiProxyApi.ListModels)                 // 获取模型列表
		aiProxyRouter.POST("chat/completions", aiProxyApi.ChatCompletions) // OpenAI 兼容
		aiProxyRouter.POST("messages", aiProxyApi.ClaudeMessages)          // Claude 兼容
	}
}
